All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
uhd::transport::managed_send_buffer Class Referenceabstract

`#include <zero_copy.hpp>`

## Public Types

typedef boost::intrusive_ptr < managed_send_buffer > | sptr

## Public Member Functions

virtual void | commit (size_t num_bytes)=0
template<class T >
T | cast (void) const
size_t | size (void) const

## Public Attributes

int | _ref_count

## Detailed Description

A managed send buffer: Contains a reference to transport-managed memory, and a method to commit the memory after writing.

## Member Typedef Documentation

typedef boost::intrusive_ptr<managed_send_buffer> uhd::transport::managed_send_buffer::sptr

## Member Function Documentation

template<class T >

T uhd::transport::managed_send_buffer::cast | ( | void |  | ) | const

inline

Get a pointer to the underlying buffer.

Returns
  a pointer into memory

virtual void uhd::transport::managed_send_buffer::commit | ( | size_t | num_bytes | ) |

pure virtual

Signal to the transport that we are done with the buffer. This should be called to commit the write to the transport object. After calling, the referenced memory should be considered invalid.

Parameters

  num_bytes | the number of bytes written into the buffer

size_t uhd::transport::managed_send_buffer::size | ( | void |  | ) | const

inline

Get the size of the underlying buffer.

Returns
  the number of bytes

## Member Data Documentation

int uhd::transport::managed_send_buffer::_ref_count

The documentation for this class was generated from the following file:

- include/uhd/transport/zero_copy.hpp